Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class IterativeDescriptorProcessor

    java.lang.Object
      org.eclipse.jetty.webapp.IterativeDescriptorProcessor

All Implemented Interfaces:
  DescriptorProcessor

Direct Known Subclasses:
  PlusDescriptorProcessor, StandardDescriptorProcessor, TagLibConfiguration.TldProcessor

    public abstract class IterativeDescriptorProcessor

extends java.lang.Object
implements DescriptorProcessor

IterativeDescriptorProcessor

Field Summary
`static java.lang.Class<?>[]` | `__signature`
`protected java.util.Map<java.lang.String,java.lang.reflect.Method>` | `_visitors`

Constructor Summary
`IterativeDescriptorProcessor()`

Method Summary
`abstract void` | `end(WebAppContext context, Descriptor descriptor)`
`void` | `process(WebAppContext context, Descriptor descriptor)`
`void` | `registerVisitor(java.lang.String nodeName, java.lang.reflect.Method m)` Register a method to be called back when visiting the node with the given name.
`abstract void` | `start(WebAppContext context, Descriptor descriptor)`
`protected void` | `visit(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __signature

    public static final java.lang.Class<?>[] __signature

### _visitors

    protected java.util.Map<java.lang.String,java.lang.reflect.Method> _visitors

Constructor Detail

### IterativeDescriptorProcessor

    public IterativeDescriptorProcessor()

Method Detail

### start

    public abstract void start(WebAppContext context,
                               Descriptor descriptor)

### end

    public abstract void end(WebAppContext context,
                             Descriptor descriptor)

### registerVisitor

    public void registerVisitor(java.lang.String nodeName,
                                java.lang.reflect.Method m)

  Register a method to be called back when visiting the node with the given name. The method must exist on a subclass of this class, and must have the signature: public void method (Descriptor descriptor, XmlParser.Node node)

  Parameters:
    `nodeName` -
    `m` -

### process

    public void process(WebAppContext context,
                        Descriptor descriptor)
                 throws java.lang.Exception

  Specified by:
    `process` in interface `DescriptorProcessor`
  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.jetty.webapp.DescriptorProcessor#process(org.eclipse.jetty.webapp.Descriptor)`

### visit

    protected void visit(WebAppContext context,
                         Descriptor descriptor,
                         XmlParser.Node node)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.